--- old/usr/src/man/man1m/lofiadm.1m	2016-01-17 14:42:13.986294517 +0300
+++ new/usr/src/man/man1m/lofiadm.1m	2016-01-17 14:42:14.014128250 +0300
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright (c) 2016 Andrey Sokolov
 .\" Copyright 2013 Nexenta Systems, Inc. All rights reserved.
 .\" Copyright (c) 2008, Sun Microsystems, Inc. All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
@@ -15,7 +16,7 @@
 
 .LP
 .nf
-\fBlofiadm\fR [\fB-r\fR] \fB-c\fR \fIcrypto_algorithm\fR \fB-a\fR \fIfile\fR [\fIdevice\fR]
+\fBlofiadm\fR [\fB-r\fR] [\fB-o\fR] \fB-c\fR \fIcrypto_algorithm\fR \fB-a\fR \fIfile\fR [\fIdevice\fR]
 .fi
 
 .LP
@@ -60,7 +61,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 \fBlofiadm\fR administers \fBlofi\fR, the loopback file driver. \fBlofi\fR
 allows a file to be associated with a block device. That file can then be
@@ -82,7 +82,6 @@
 zone devices and all devices owned by other non-global zones on the system.
 .sp
 .SH OPTIONS
-.sp
 .LP
 The following options are supported:
 .sp
@@ -137,6 +136,16 @@
 .sp
 .ne 2
 .na
+\fB\fB-o\fR
+.ad
+.sp .6
+.RS 4n
+If the \fB-o\fR option is specified lofiadm will prompt for a passphrase once.
+.RE
+
+.sp
+.ne 2
+.na
 \fB\fB-r\fR
 .ad
 .sp .6
@@ -221,7 +230,6 @@
 .RE
 
 .SH OPERANDS
-.sp
 .LP
 The following operands are supported:
 .sp
@@ -720,13 +728,11 @@
 .sp
 
 .SH ENVIRONMENT VARIABLES
-.sp
 .LP
 See \fBenviron\fR(5) for descriptions of the following environment variables
 that affect the execution of \fBlofiadm\fR: \fBLC_CTYPE\fR, \fBLC_MESSAGES\fR
 and \fBNLSPATH\fR.
 .SH EXIT STATUS
-.sp
 .LP
 The following exit values are returned:
 .sp
@@ -750,12 +756,10 @@
 .RE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBfsck\fR(1M), \fBmount\fR(1M), \fBmount_ufs\fR(1M), \fBnewfs\fR(1M),
 \fBattributes\fR(5), \fBlofi\fR(7D), \fBlofs\fR(7FS)
 .SH NOTES
-.sp
 .LP
 Just as you would not directly access a disk device that has mounted file
 systems, you should not access a file associated with a block device except
